Bug 256516 - math/nauty: Build and install shared library; Shorten do-install; Remove LICENSE_FILE; Improve pkg-descr
Summary: math/nauty: Build and install shared library; Shorten do-install; Remove LICE...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-09 21:18 UTC by Yuri Victorovich
Modified: 2021-06-12 08:16 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (moritz)


Attachments
patch (4.88 KB, patch)
2021-06-09 21:18 UTC, Yuri Victorovich
no flags Details | Diff
patch (4.88 KB, patch)
2021-06-09 21:50 UTC, Yuri Victorovich
no flags Details | Diff
patch (5.03 KB, patch)
2021-06-09 23:47 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2021-06-09 21:18:41 UTC
Created attachment 225675 [details]
patch

The attached patch does the following:

* Builds and installs the shared library: many projects prefer to use shared libraries
* Shortens do-install: removes code repetition
* Removes LICENSE_FILE: this file doesn't contain the license text
* Improves pkg-descr


Yuri
Comment 1 Yuri Victorovich freebsd_committer 2021-06-09 21:50:36 UTC
Created attachment 225676 [details]
patch
Comment 2 Yuri Victorovich freebsd_committer 2021-06-09 23:47:00 UTC
Created attachment 225680 [details]
patch
Comment 3 Fernando Apesteguía freebsd_committer 2021-06-10 05:49:26 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 4 Moritz Schmitt 2021-06-12 06:16:12 UTC
Thanks for the patch. It looks good to me.

While you're at it, you could also change the WWW back to https://pallini.di.uniroma1.it. The current URL is a page that is a little outdated and referes the one above.
Comment 5 Yuri Victorovich freebsd_committer 2021-06-12 08:15:15 UTC
Committed, thanks.
Comment 6 commit-hook freebsd_committer 2021-06-12 08:16:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1ee9232fb527925dceb33f05e5c1408613eb17dc

commit 1ee9232fb527925dceb33f05e5c1408613eb17dc
Author:     Yuri Victorovich <yuri@FreeBSD.org>
AuthorDate: 2021-06-12 08:13:09 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-06-12 08:15:26 +0000

    math/nauty: Build and install shared library; Shorten do-install; Remove LICENSE_FILE; Improve pkg-descr; Update WWW

    PR:             256516
    Approved by:    moritz@schmi.tt (maintainer)

 math/nauty/Makefile  | 59 +++++++++++++---------------------------------------
 math/nauty/pkg-descr |  6 +++---
 math/nauty/pkg-plist |  1 +
 3 files changed, 19 insertions(+), 47 deletions(-)